package com.xueyi.system.meeting.mapper;

import com.xueyi.common.datasource.annotation.Isolate;
import com.xueyi.common.web.entity.mapper.BaseMapper;
import com.xueyi.system.api.meeting.domain.dto.DmMeetingOrdersDto;
import com.xueyi.system.api.meeting.domain.po.DmMeetingOrdersPo;
import com.xueyi.system.meeting.domain.query.DmMeetingOrdersQuery;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 会议室预约管理 数据层
 *
 * @author xueyi
 */
@Isolate
public interface DmMeetingOrdersMapper extends BaseMapper<DmMeetingOrdersQuery, DmMeetingOrdersDto, DmMeetingOrdersPo> {
    List<DmMeetingOrdersPo> queryByOrder(@Param("spaceId") Long spaceId, @Param("date") String date, @Param("startTime") String startTime, @Param("endTime")  String endTime);
    List<DmMeetingOrdersPo> findListByPerson(@Param("orderBy") Long orderBy);
    DmMeetingOrdersPo findLastByEmpId(@Param("empId") Long empId);
    List<DmMeetingOrdersPo> findListByDate(@Param("orderDate") String orderDate, @Param("spaceId") Long spaceId);

    List<DmMeetingOrdersPo> findAllListByDate(@Param("date") String date, @Param("time") String time, @Param("spaceId") Long spaceId);

    List<DmMeetingOrdersPo> findAllList();

    List<DmMeetingOrdersPo> findListByDateStr(@Param("orderDate") String orderDate);
}